Subject: Re: bug#38709: Recursive crate importer ignores specified version

From: Valentin Ignatev <[email-masked]>
Date: Thu, 26 Dec 2019 08:25:29 +0300

Hey Martin, thanks! I'll follow that one then!

I guess this bug can be closed since there's already quite a
discussion in #38408

Valentin

On 12/26/19, Martin Becze <[email-masked]> wrote:
> On 2019-12-22 18:56, Valentin Ignatev wrote:
>> When I'm trying to recursively import specific crate version, it
>> imports the latest version instead:
>>
>> guix import crate --recursive [email-masked] gives this output:
>> following redirection to
>> `https://static.crates.io/crates/notify/notify-5.0.0-pre.1.crate'...
>> following redirection to
>> `https://static.crates.io/crates/anymap/anymap-0.12.1.crate'...
>> following redirection to
>> `https://static.crates.io/crates/bitflags/bitflags-1.2.1.crate'...
>>
>> And so on, so it follows notify-5.0.0 instead of 4.0.14
>>
>> Regards,
>> Valentin Ignatev
>
> Currently the recusive importer doesn't respect version numbers.
> Progress is being made on this in issue 38408
> https://issues.guix.gnu.org/issue/38408
>
> -Martin Becze
>